Loading...
Searching...
No Matches
Ogre::Bullet Namespace Reference

## Classes

struct | CollisionListener
class | CollisionWorld
| simplified wrapper with automatic memory management More...
class | DebugDrawer
class | DynamicsWorld
| simplified wrapper with automatic memory management More...
struct | HeightFieldData
| height field data More...
class | KinematicMotionSimple
| helper class for kinematic body motion More...
struct | RayResultCallback
class | RigidBodyState
| A MotionState is Bullet's way of informing you about updates to an object. More...

## Enumerations

enum | ColliderType { CT_BOX , CT_SPHERE , CT_CYLINDER , CT_CAPSULE , CT_TRIMESH , CT_HULL , CT_COMPOUND }

## Functions

Quaternion | convert (const btQuaternion &q)
Vector3 | convert (const btVector3 &v)
btQuaternion | convert (const Quaternion &q)
btVector3 | convert (const Vector3 &v)
_OgreBulletExport btBoxShape * | createBoxCollider (const MovableObject *mo)
| create box collider using ogre provided data
_OgreBulletExport btCapsuleShape * | createCapsuleCollider (const MovableObject *mo)
| create capsule collider using ogre provided data
_OgreBulletExport btCompoundShape * | createCompoundShape ()
| create compound shape
_OgreBulletExport btConvexHullShape * | createConvexHullCollider (const Entity *ent)
| create convex hull collider
_OgreBulletExport btCylinderShape * | createCylinderCollider (const MovableObject *mo)
| create capsule collider using ogre provided data
_OgreBulletExport btHeightfieldTerrainShape * | createHeightfieldTerrainShape (const Terrain *terrain, struct HeightFieldData *data)
| create height field collider
_OgreBulletExport btSphereShape * | createSphereCollider (const MovableObject *mo)
| create sphere collider using ogre provided data
_OgreBulletExport btBvhTriangleMeshShape * | createTrimeshCollider (const Entity *ent)
| create triMesh collider